Bug 1230140 - ldns: FTBFS with Perl 5.22
Summary: ldns: FTBFS with Perl 5.22
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: ldns
Version: 23
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
Assignee: Tomáš Hozza
QA Contact: Fedora Extras Quality Assurance
URL: https://koji.fedoraproject.org/koji/t...
Whiteboard:
: 1239662 (view as bug list)
Depends On:
Blocks: F23FTBFS
TreeView+ depends on / blocked
 
Reported: 2015-06-10 10:54 UTC by Jitka Plesnikova
Modified: 2015-07-16 09:25 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-16 09:25:11 UTC
Type: Bug


Attachments (Terms of Use)
Build log (166.22 KB, text/plain)
2015-06-10 10:54 UTC, Jitka Plesnikova
no flags Details

Description Jitka Plesnikova 2015-06-10 10:54:15 UTC
Created attachment 1037213 [details]
Build log

The build of ldns failed with Perl 5.22 with following error:


for f in doc/man/man3/*; do \
	/usr/bin/install -p -c -m 444 $f /builddir/build/BUILDROOT/ldns-1.6.17-14.fc23.x86_64/usr/share/man/man3/; \
done
/usr/bin/install: cannot stat 'doc/man/man3/*': No such file or directory
Makefile:297: recipe for target 'install-manpages' failed
make: *** [install-manpages] Error 1
RPM build errors:
error: Bad exit status from /var/tmp/rpm-tmp.omnPVW (%install)


More info about Perl 5.22 
https://fedoraproject.org/wiki/Changes/perl5.22

Comment 1 Tomáš Hozza 2015-07-07 12:27:18 UTC
*** Bug 1239662 has been marked as a duplicate of this bug. ***

Comment 2 Jan Kurik 2015-07-15 14:02:18 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 3 Tomáš Hozza 2015-07-16 09:25:11 UTC
Fixed in:
ldns-1.6.17-16.fc23
ldns-1.6.17-16.fc24

Reported upstream:
https://www.nlnetlabs.nl/bugs-script/show_bug.cgi?id=685


Note You need to log in before you can comment on or make changes to this bug.